% dsp07_ex_analog_matlab.m - Matlab functions for analog filter design
clear all; close all;

N = 8;                   % number of transfer function poles
f0=10;  f1=10;  f2=100;  % frequencies in Hz [1/s]
Rp = 3; Rs = 100;        % allowed ripples in dB in passband and stopband
% [b,a,gain] = butter(N, 2*pi*f0, 'low','s');                    % Butt  LP 
% [b,a,gain] = butter(N, 2*pi*f0, 'high','s');                   % Butt  HP
% [b,a,gain] = butter(N, 2*pi*[f1,f2], 'stop', 's');             % Butt  BS
  [b,a,gain] = butter(N, 2*pi*[f1,f2], 'bandpass', 's');         % Butt  BP
% [b,a,gain] = cheby1(N, Rp, 2*pi*[f1,f2], 'bandpass', 's');     % Cheb1 BP
% [b,a,gain] = cheby2(N, Rs, 2*pi*[f1,f2], 'bandpass', 's');     % Cheb2 BP
% [b,a,gain] =  ellip(N, Rp, Rs,2*pi*[f1,f2], 'bandpass', 's');  % Ellip BP
z=gain*roots(b); p=roots(a);
b = real(b);      a=real(a);

% ... continue dsp7_ex_analog_intro.m