function [zz,pp,gain] = lp2bpTZ(z,p,gain,w0,dw)
% LowPass to BandPass TZ

pp = []; zz = [];
for  k=1:length(z)
     zz = [ zz roots([ 1 -z(k)*dw w0^2])' ];
     gain = gain/dw;
end
for  k=1:length(p)
     pp = [ pp roots([ 1 -p(k)*dw w0^2])' ];
     gain = gain*dw;
end
for k=1:(length(p)-length(z))
     zz = [ zz 0 ];
end   
